org.eclnt.workplace

## Class WorkpageByPageBean

- java.lang.Object
- - org.eclnt.workplace.Workpage
  - - org.eclnt.workplace.WorkpageByPageBean

- All Implemented Interfaces:
    java.io.Serializable, IWorkpage

      public class WorkpageByPageBean
      extends Workpage
      implements java.io.Serializable

  Workpage that contains a page bean that is shown as workpage content.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageByPageBean(IWorkpageDispatcher dispatcher, IPageBean pageBean, java.lang.String id, java.lang.String title, java.lang.String iconURL, boolean isDecorated)` Constructor in which you pass a page bean that you already created on your own.
    `WorkpageByPageBean(IWorkpageDispatcher dispatcher, java.lang.String title, WorkpageStartInfo wpsi)` Constructor in which you pass the name of the page bean, that is used within the workpage's dispatcher for creating an instance of the page bean.
    `WorkpageByPageBean(IWorkpageDispatcher dispatcher, java.lang.String title, WorkpageStartInfo wpsi, ICreatePageBeanInstance beanCreator)` Constructor in which you can explicitly control the creation of the page bean instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeForced()` Default behaviour: the dispatcher gets destroyed.
    `IPageBean` | `getPageBean()`
    `boolean` | `isBlocked()` Managed at runtime by workplace management: if a page opens up semi modal popup dialogs then the page need to be blocked.
    `void` | `reactOnDisplay()` This method is called whenever the workpage container is pushing this page to be displayed.
    `void` | `reactOnHide()` This method is called whenever a workpage that is currently shown within in the content area is replaced by another one.
    `void` | `reactOnShownInContentArea()` The page is (re)shown in the content area of the workplace.
    `void` | `reactOnShownInPopup()` The page is (re)shown in a modeless popup.
    `protected void` | `registerPageBeanInDispatcher()` Registration of the page bean that was passed within the constructor inside the dispatcher that was created for this workpage.

    - ### Methods inherited from class org.eclnt.workplace.Workpage

      `addLifecycleListener, addWorkpageProcessingEventListener, assignIdToModelessPopup, close, closeAndContinue, closeSemiModalPopup, createModalPopupInWorkpageContext, createModelessPopupInWorkpageContext, getComment, getDispatcher, getDragsend, getExcludeFromSavePerspective, getIconURL, getId, getJspPage, getLifecycleListeners, getModelesspopup, getModelessPopupOfWorkpage, getParam, getParamMap, getSelectorTitle, getSelectorTitleOriginal, getStartSubWorkpageContainerId, getTitle, getUniqueTechnicalId, getWorkpageContainer, getWorkpageStartInfo, isCloseSupported, isDecorated, isPopupSupported, openSemiModalPopup, processWorkpageProcessingEvent, reactOnBeforeHide, reactOnReselectedInContentArea, removeLifecycleListener, removeWorkpageProcessingEventListener, setCloseSupported, setComment, setDecorated, setExcludeFromSavePerspective, setIconURL, setId, setJspPage, setModelessPopupOfWorkpage, setParam, setPopupSupported, setSelectorTitle, setStartSubWorkpageContainerId, setTitle, setWorkpageStartInfo, throwWorkpageProcessingEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageByPageBean

          public WorkpageByPageBean(IWorkpageDispatcher dispatcher,
                                    IPageBean pageBean,
                                    java.lang.String id,
                                    java.lang.String title,
                                    java.lang.String iconURL,
                                    boolean isDecorated)

      Constructor in which you pass a page bean that you already created on your own. If the page bean is of type `WorkpageDispatchedPageBean` then the workpage's dispatcher is set into the dispatcher of the page bean.

    - #### WorkpageByPageBean

          public WorkpageByPageBean(IWorkpageDispatcher dispatcher,
                                    java.lang.String title,
                                    WorkpageStartInfo wpsi)

      Constructor in which you pass the name of the page bean, that is used within the workpage's dispatcher for creating an instance of the page bean. The name is the one that is used in expressions, e.g. when using "#{d.AbcUI}", the name is "AbcUI".

    - #### WorkpageByPageBean

          public WorkpageByPageBean(IWorkpageDispatcher dispatcher,
                                    java.lang.String title,
                                    WorkpageStartInfo wpsi,
                                    ICreatePageBeanInstance beanCreator)

      Constructor in which you can explicitly control the creation of the page bean instance.

  - ### Method Detail

    - #### getPageBean

          public IPageBean getPageBean()

    - #### isBlocked

          public boolean isBlocked()

      Description copied from interface: `IWorkpage`
      Managed at runtime by workplace management: if a page opens up semi modal popup dialogs then the page need to be blocked.
      Specified by:
        `isBlocked` in interface `IWorkpage`
      Overrides:
        `isBlocked` in class `Workpage`

    - #### reactOnDisplay

          public void reactOnDisplay()

      Description copied from interface: `IWorkpage`
      This method is called whenever the workpage container is pushing this page to be displayed.
      Specified by:
        `reactOnDisplay` in interface `IWorkpage`
      Overrides:
        `reactOnDisplay` in class `Workpage`
      Parameters:
        `pageBean` -
        `title` -
        `width` -
        `height` -
        `popupListener` -

    - #### reactOnShownInContentArea

          public void reactOnShownInContentArea()

      Description copied from interface: `IWorkpage`
      The page is (re)shown in the content area of the workplace.
      Specified by:
        `reactOnShownInContentArea` in interface `IWorkpage`
      Overrides:
        `reactOnShownInContentArea` in class `Workpage`

    - #### reactOnHide

          public void reactOnHide()

      Description copied from interface: `IWorkpage`
      This method is called whenever a workpage that is currently shown within in the content area is replaced by another one.
      Specified by:
        `reactOnHide` in interface `IWorkpage`
      Overrides:
        `reactOnHide` in class `Workpage`

    - #### reactOnShownInPopup

          public void reactOnShownInPopup()

      Description copied from interface: `IWorkpage`
      The page is (re)shown in a modeless popup.
      Specified by:
        `reactOnShownInPopup` in interface `IWorkpage`
      Overrides:
        `reactOnShownInPopup` in class `Workpage`

    - #### closeForced

          public void closeForced()

      Description copied from class: `Workpage`
      Default behaviour: the dispatcher gets destroyed.
      Specified by:
        `closeForced` in interface `IWorkpage`
      Overrides:
        `closeForced` in class `Workpage`

    - #### registerPageBeanInDispatcher

          protected void registerPageBeanInDispatcher()

      Registration of the page bean that was passed within the constructor inside the dispatcher that was created for this workpage.

Copyright © CaptainCasa Gmbh. All Rights Reserved.